<?php

namespace Drupal\files_url_replacer;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;

/**
 * Modifies the file_url_generator service.
 */
class FilesUrlReplacerServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    if ($container->hasDefinition('file_url_generator')) {
      $definition = $container->getDefinition('file_url_generator');
      $definition->setClass('Drupal\files_url_replacer\CustomFileUrlGenerator');
    }
  }

}
